## ros-one-pr2-gripper-action 1.10.18-3jammy.20251023.1439

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3jammy.20251023.1439) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 14:39:07 +0000

ros-one-pr2-gripper-action (1.10.18-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.17-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.16-0jammy) jammy; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 26 Jul 2019 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.15-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.14-0jammy) jammy; urgency=high

  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.13-0jammy) jammy; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.12-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.10-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.9-0jammy) jammy; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

## ros-one-pr2-gripper-action 1.10.18-3jammy.20251208.0137

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3jammy.20251208.0137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 01:37:54 +0000

## ros-one-pr2-gripper-action 1.10.18-3jammy.20260222.0034

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3jammy.20260222.0034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Feb 2026 00:34:49 +0000

## ros-one-pr2-gripper-action 1.10.18-3noble.20251023.1512

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_action)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp actionlib_msgs actionlib pr2_mechanism_controllers robot_mechanism_controllers pr2_controllers_msgs pr2_mechanism_model)

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package()

add_executable(pr2_gripper_action src/pr2_gripper_action.cpp)
target_link_libraries(pr2_gripper_action ${Boost_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS pr2_gripper_action
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3noble.20251023.1512) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 15:12:04 +0000

ros-one-pr2-gripper-action (1.10.18-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.17-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.16-0noble) noble; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 26 Jul 2019 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.15-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.14-0noble) noble; urgency=high

  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.13-0noble) noble; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.12-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.10-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-one-pr2-gripper-action (1.10.9-0noble) noble; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-gripper-action
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-pr2-controllers-msgs, ros-one-pr2-mechanism-controllers, ros-one-pr2-mechanism-model, ros-one-robot-mechanism-controllers, ros-one-roscpp
Homepage: http://ros.org/wiki/pr2_gripper_action
Standards-Version: 3.9.2

Package: ros-one-pr2-gripper-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-pr2-controllers-msgs, ros-one-pr2-mechanism-controllers, ros-one-pr2-mechanism-model, ros-one-robot-mechanism-controllers, ros-one-roscpp
Description: The pr2_gripper_action provides an action interface for using the gripper.
 Users can specify what position to move to (while limiting the force) and the action will report success when the position is reached or failure when the gripper cannot move any longer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-gripper-action//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-gripper-action 1.10.18-3noble.20251208.1224

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3noble.20251208.1224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 12:24:14 +0000

## ros-one-pr2-gripper-action 1.10.18-3noble.20260222.0148

=== debian/changelog ===
ros-one-pr2-gripper-action (1.10.18-3noble.20260222.0148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Feb 2026 01:48:44 +0000
